function out=normalni_rovnice(f,a,b,stupen)
%
% Vypocte reseni soustavy normalnich rovnic
% (koeficienty linearni kombinace polynomu do stupne stupen)
% a sestroji polynom (tuto lin. kombinaci) - spojitou L2-aproximaci

[baze,velikost]=ortogonalni_baze(a,b,stupen);
[n,~]=size(baze);
out=zeros(1,n);
for i=1:n
  c(i)=integruj_funkciXpolynom(f,baze(i,:),a,b)/velikost(i);
  out=out+c(i)*baze(i,:);
end

 